Package org.eclipse.core.databinding.observable.set

## Class MappedSet

- java.lang.Object
- - org.eclipse.core.databinding.observable.AbstractObservable
  - - org.eclipse.core.databinding.observable.set.ObservableSet
    - - org.eclipse.core.databinding.observable.set.MappedSet

All Implemented Interfaces:
  `Iterable`, `Collection`, `Set`, `IObservable`, `IObservableCollection`, `IObservableSet`

    @Deprecated
    public class MappedSet
    extends ObservableSet

Deprecated.
This class is deprecated.

This class is thread safe. All state accessing methods must be invoked from the `current realm`. Methods for adding and removing listeners may be invoked from any thread.

Since:
  1.0

### Field Summary

### Fields inherited from class org.eclipse.core.databinding.observable.set.ObservableSet

`elementType, wrappedSet`

### Constructor Summary

Constructors
`MappedSet​(IObservableSet input, IObservableMap map)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`protected void` `addListener​(Object listenerType, IObservablesListener listener)`
`protected Object` `clone()`
`void` `dispose()` Deprecated. Disposes of this observable object, removing all listeners registered with this object, and all listeners this object might have registered on other objects.
`protected void` `fireEvent​(ObservableEvent event)`
`protected void` `firstListenerAdded()`
`Realm` `getRealm()`
`protected boolean` `handleAddition​(Object mapValue)` Deprecated.
`protected boolean` `handleRemoval​(Object mapValue)` Deprecated.
`protected boolean` `hasListeners()`
`protected void` `lastListenerRemoved()`
`protected void` `removeListener​(Object listenerType, IObservablesListener listener)`

### Methods inherited from class org.eclipse.core.databinding.observable.set.ObservableSet

`add, addAll, addSetChangeListener, clear, contains, containsAll, equals, fireChange, fireSetChange, getElementType, getterCalled, hashCode, isEmpty, isStale, iterator, remove, removeAll, removeSetChangeListener, retainAll, setStale, setWrappedSet, size, toArray, toArray, toString`

### Methods inherited from class org.eclipse.core.databinding.observable.AbstractObservable

`addChangeListener, addDisposeListener, addStaleListener, checkRealm, fireStale, isDisposed, removeChangeListener, removeDisposeListener, removeStaleListener`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface org.eclipse.core.databinding.observable.IObservable

`addChangeListener, addDisposeListener, addStaleListener, getRealm, isDisposed, removeChangeListener, removeDisposeListener, removeStaleListener`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.Set

`spliterator`

### Constructor Detail

#### MappedSet

    public MappedSet​(IObservableSet input,
                     IObservableMap map)

Deprecated.

Parameters:
  `input` - input set with keys from the map
  `map` - the map to map

### Method Detail

#### handleAddition

    protected boolean handleAddition​(Object mapValue)

Deprecated.

Parameters:
  `mapValue` - map value to add
Returns:
  true if the given mapValue was an addition

#### handleRemoval

    protected boolean handleRemoval​(Object mapValue)

Deprecated.

Parameters:
  `mapValue` - map value to remove
Returns:
  true if the given mapValue has been removed

#### dispose

    public void dispose()

Deprecated.
Description copied from interface: `IObservable`
Disposes of this observable object, removing all listeners registered with this object, and all listeners this object might have registered on other objects.

Specified by:
  `dispose` in interface `IObservable`
Overrides:
  `dispose` in class `AbstractObservable`

#### addListener

    protected void addListener​(Object listenerType,
                               IObservablesListener listener)

Parameters:
  `listenerType` - arbitrary object to identify a type of the listener
  `listener` - the listener to add; not `null`

#### removeListener

    protected void removeListener​(Object listenerType,
                                  IObservablesListener listener)

Parameters:
  `listenerType` - arbitrary object to identify a type of the listener
  `listener` - the listener to remove; not `null`

#### hasListeners

    protected boolean hasListeners()

#### fireEvent

    protected void fireEvent​(ObservableEvent event)

#### firstListenerAdded

    protected void firstListenerAdded()

#### lastListenerRemoved

    protected void lastListenerRemoved()

#### getRealm

    public Realm getRealm()

Returns:
  Returns the realm.

#### clone

    protected Object clone()
                    throws CloneNotSupportedException

Overrides:
  `clone` in class `Object`
Throws:
  `CloneNotSupportedException`